Code Signer - Defect #1083

Problem with Java 1.8.0 101-b13
08/11/2016 08:15 AM - Anonymous
Description
With Java Version 1.8.0_101-b13 | get the following error while signing.

C:\\Servoy\\Servoy8\\application_server\\beans\\dbtreeview.jar repacked
null

java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at net.stuff.servoy.signing.utils.JarSigner.run(JarSigner.java:19)

at net.stuff.servoy.CodeSignerFrame.signFile(CodeSignerFrame.java:1276)
at net.stuff.servoy.CodeSignerFrame.access$24(CodeSignerFrame.java:1237)
at net.stuff.servoy.CodeSignerFrame$3$1.run(CodeSignerFrame.java:257)
Caused by: java.lang.NoSuchMethodError:

sun.security.pkcs.PKCS7.generateSignedData([B[Ljava/security/cert/X509Certificate;[BLjava/lang/String;Ljava/net/URI;Ljava/lang/Str

ing;)[B

at sun.security.tools.jarsigner. TimestampedSigner.generateSignedData(TimestampedSigner.java:135)

at sun.security.tools.jarsigner.SignatureFile$Block.<init>(Main.java:2378)
at sun.security.tools.jarsigner.SignatureFile.generateBlock(Main.java:2276)
at sun.security.tools.jarsigner.Main.signdar(Main.java:1272)

at sun.security.tools.jarsigner.Main.run(Main.java:240)

... 8 more

History

#1 - 08/11/2016 06:46 PM - Patrick Talbot
- Status changed from New to Feedback

- Assignee set to Anonymous

Are you sure you are using the latest CodeSigner8.jar?

Matching the CodeSigner with the java version is essential.
Also do you have more than one JRE/JDK that could potentially create an issue?

Please make sure you run the correct version of Java with the related version of the CodeSigner.

#2 - 08/12/2016 07:54 AM - Anonymous

| do that with a new Windows 10 machine with.
There is only Java 1.8.0_101-b13 installed.
The codesigner tool is the newes one.

#3 - 08/12/2016 06:52 PM - Patrick Talbot

I'll give it a try with Java 8u101 maybe there's an issue there, although it's working on previous Java 8 version.

Did you try running from the command line like this:

java -Xms256m -Xmx1g -jar CodeSigner8.jar
#4 - 08/16/2016 08:47 AM - Anonymous

Yes, | do that from command line.

#5 - 08/25/2016 07:36 PM - Patrick Talbot
- Status changed from Feedback to Closed

This has been fixed with a new release tailored for Java 8 > update 101
Get the update in the Files section
https://www.servoyforge.net/projects/code-signer/files
http://www.tcpdf.org

